Bug 10023 - degree notation in acq
Summary: degree notation in acq
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL: /cgi-bin/koha/acqui/booksellers.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-10 15:16 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
N notation on acq searches (14.29 KB, image/png)
2013-04-10 15:16 UTC, Nicole C. Engard
Details
Bug 10023: Change degree notation for number to No. (3.21 KB, patch)
2013-04-14 14:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10023: Change degree notation for number to # (3.19 KB, patch)
2013-04-14 14:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10023: Change degree notation for number to No. (3.45 KB, patch)
2013-04-15 14:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10023: Change degree notation for number to # (3.29 KB, patch)
2013-04-22 12:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 10023: Change degree notation for number to No. (3.48 KB, patch)
2013-04-22 12:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-04-10 15:16:36 UTC
Created attachment 17345 [details]
N notation on acq searches

See the screenshot, above the basket number it now says N° ... this seems like a strange notation to me? Shouldn't it be # if we just want a small notation?
Comment 1 mathieu saby 2013-04-14 12:45:26 UTC
It is a french notation (we never use #, but use N° instead). Maybe this table was made by a french developper...
So if N° is strange in english, we should replace it by #. French ppl will translate it as N°.

M. Saby
Comment 2 Katrin Fischer 2013-04-14 14:23:07 UTC
I think # could be a bit confusing to translators. I found a discussion about this and # seems also to be more American English: http://forum.wordreference.com/showthread.php?t=264328&page=3

I will propose a patch changing the N° to No. instead.
Comment 3 mathieu saby 2013-04-14 14:36:04 UTC
There are some # on other pages. Should we replace them by "No" too?
Mathieu
Comment 4 Katrin Fischer 2013-04-14 14:37:24 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-04-14 14:58:17 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-04-14 14:58:57 UTC
Hm, thinking some more about this, I provided the same patch with #.
Comment 7 mathieu saby 2013-04-14 15:31:30 UTC
Anyway, degree sign should not be used. the ° is for an supperscript "o", which was hard to type with typewriters.
If this page is correct, we should replace it by "No." for non-american english :
http://en.wikipedia.org/wiki/Numero_sign
Is understandable for american english ?

M. saby
Comment 8 Owen Leonard 2013-04-15 14:13:59 UTC Comment hidden (obsolete)
Comment 9 Marcel de Rooy 2013-04-22 12:39:18 UTC
Created attachment 17589 [details] [review]
Bug 10023: Change degree notation for number to #

This patch changes N<little circle> to # in three templates.

To test:
1) Search for a vendor with visible baskets.
   Check that the first column of the basket table in the
   is now labelled #

2) Print a PDF order in acquisitons with layout2pages.

3) Print a PDF oder in acquisitons with layout3pages.

Check both generated PDFs for the correct syntax.

Note: you need to switch the system preference
OrderPdfFormat in order to test 2) and 3).
The 2 possible settings are:
pdfformat::layout3pages
pdfformat::layout2pages

It's not only Koha - git bz doesn't like the degree
notation either.
Passed-QA-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 10 Marcel de Rooy 2013-04-22 12:39:23 UTC
Created attachment 17590 [details] [review]
Bug 10023: Change degree notation for number to No.

This patch changes N<little circle> to No. in three templates.

To test:
1) Search for a vendor with visible baskets.
   Check that the first column of the basket table in the
   is now labelled No.

2) Print a PDF order in acquisitons with layout2pages.

3) Print a PDF oder in acquisitons with layout3pages.

Check both generated PDFs for the correct syntax.

Note: you need to switch the system preference
OrderPdfFormat in order to test 2) and 3).
The 2 possible settings are:
pdfformat::layout3pages
pdfformat::layout2pages

It's not only Koha - git bz doesn't like the degree
notation either.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

I prefer "No." over "#" and my survey of the templates shows that "No."
appears more often. Looks like something to add to our style guide.
Passed-QA-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 11 Marcel de Rooy 2013-04-22 12:41:20 UTC
QA Comment:
Looks good to me. More or less a string patch. No problems with koha-qa.

Passed QA
Comment 12 Jared Camins-Esakov 2013-04-24 12:58:29 UTC
This patch has been pushed to master and 3.12.x. I also added a follow-up changing the last occurrences.
Comment 13 Chris Cormack 2013-04-27 21:36:37 UTC
Does not apply to 3.10.x, please send a new patch if it is needed